# Lecture 01 - Markdown basic syntax

Here are some recalls on the Markdown [basic syntax][1].

The aim of these pages is also to test the rendered output,
and to test the filtering of published pages using the script.

[1]: https://www.markdownguide.org/basic-syntax/

You can furthermore study the Markdown source of this page, which contains some 
tricks.


## Headings

To create a heading, add number signs `#` in front of a word or phrase.

| Markdown                 | Rendered Output          |
|--------------------------|--------------------------|
| `# Heading level 1`      | <h1>Heading level 1</h1> |
| `## Heading level 2`     | <h2>Heading level 2</h2> |
| `### Heading level 3`    | <h3>Heading level 3</h3> |
| `#### Heading level 4`   | <h4>Heading level 4</h4> |
| `##### Heading level 5`  | <h5>Heading level 5</h5> |
| `###### Heading level 6` | <h6>Heading level 6</h6> |


## Line breaks

To create a line break, end a line with two or more spaces (shown here as `␣`) :

=== "Markdown"

    ```
    This is a first line.
    And this is a second line.

    This is a third line.␣␣
    And this is a fourth line.
    ```

=== "Rendered Output"

    This is a first line.
    And this is a second line.

    This is a third line.  
    And this is a fourth line.


## Emphasis

Add asteriks around the words to emphasize:

```
This is *italic text*
This is **bold text**
This is ***bold italic text***
```

will render as

This is *italic text*  
This is **bold text**  
This is ***bold italic text***


## Blockquotes

To create blockquote, add `>` in front of a paragraph.
The blockquotes can be nested.

For instance

```
> This is a line in a blockquote.
>
> This line in the blockquote too.
>> That line is in a nested blockquote...
```

Will render as

> This is a line in a blockquote.
>
> This line in the blockquote too.
>> That line is in a nested blockquote...


## Lists

### Ordered Lists

To create an ordered list, add line items with numbers followed by periods. The
numbers don't have to be in numerical order (they will be ignored), but the list
should start with the number one.


=== "Markdown"

    ```
    1. Spring
    2. Summer
        1. June
        2. July
        3. August
    3. Autumn
    4. Winter
    ```

=== "Rendered Output"

    1. Spring
    2. Summer
        1. June
        2. July
        3. August
    3. Autumn
    4. Winter


### Unordered Lists

To create an unordered list, add dashes `-`, asterisks `*`, or plus signs `+` in
front of line items. Indent one or more items to create a nested list.

=== "Markdown"

    ```
    - Spring
    - Summer
        * June
        * July
        * August
    - Autumn
    - Winter
    ```

=== "Rendered Output"

    - Spring
    - Summer
        * June
        * July
        * August
    - Autumn
    - Winter


### Nested Lists

Ordered and unordered lists can be nested.
To nest other elements, indent them with four spaces.

=== "Markdown"

    ```
    1. Spring

        Is a beautiful season.

    2. Summer
        - June
        - July
        - August
    3. Autumn
        ```
        Is sometimes very cold.
        ```
    4. Winter

        > Is the season of :snowman: :snowflake:
    ```


=== "Rendered Output"

    1. Spring

        Is a beautiful season.

    2. Summer
        - June
        - July
        - August
    3. Autumn
        ```
        Is sometimes very cold.
        ```
    4. Winter

        > Is the season of :snowman: :snowflake:
