#! /bin/bash

# conf-mkdocs-et.sh - local configuration
#
# This file will be sourced by mkdocs-et.sh
# DO NOT ADD SPACES AROUND "=" !!

# Your login on the target web server, for instance
#TARGET_HOST="mylogin@myserver.fr"
TARGET_HOST="edouard.thiel@saphir2.lidil.univ-mrs.fr"

# Base directory on the target server, for instance
#TARGET_DIR="~/public_html/mysite"
TARGET_DIR="~/public_html/mkdocs-et"

# The script must be able to connect by ssh without a password; for that, create
# a public key and copy it to the target server (replace TARGET_HOST below):
#   $ test -f ~/.ssh/id_rsa.pub || ssh-keygen -t rsa
#   $ ssh-copy-id -i ~/.ssh/id_rsa.pub TARGET_HOST

# Navigation : mandatory part
# Line format is "|file_name|short_title", 
# where the first char is the separator (here "|").
NAV_BEGIN=(
    "|index.md|Main page"
    "|config.md|Configuration"
    "|new-site.md|Creating a new site"
)

NAV_END=(
    "|todo.md|Todo"
    "|about.md|About"
    "|https://pageperso.lis-lab.fr/~edouard.thiel/logiciels.html|Back"
)

# Filters for navigation :
# - line format is "option:file_pattern"
# - each option will be available as a command line argument "--option"
# - each file corresponding to file_pattern will be copied on the site
#   (? stands for 1 char and * stands for any string)
# - the number in the file name can be in any position, but not in an extension
NAV_FILTERS=(
    'lec:lec-??-*.md'
    'prw:prw-??-*.md'
)

# List of titles associated to filtered files.
# Line format is "|file_name|short_title"
# where the first char is the separator (here "|").
NAV_TITLES=(
    "|lec-01-basic.md|L 01 - Markdown syntax"
    "|lec-02-more.md|L 02 - More Markdown"
    "|lec-03-extend.md|L 03 - Extended Markdown"
    "|lec-04-other.md|L 04 - Other extensions"
    "|prw-01-maths.md|PW 01 - Maths"
    "|prw-02-diag.md|PW 02 - Diagrams"
    "|prw-03-php.md|PW 03 - Php form"
    "|prw-04-jinja.md|PW 04 - Jinja2"
)

