// Simple config.js for Mkdocs-et
// This file will be loaded at each page load.

// For mathematical formulas in LaTeX
window.MathJax = {
  tex: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    processEscapes: true,
    processEnvironments: true,
    tags: 'ams'
  },
  options: {
    ignoreHtmlClass: ".*|",
    processHtmlClass: "arithmatex"
  }
};


// tablesort: tables are sortable except those having the "nosort" class
// Disadvantages of nosort:
// - it only works in publish mode, not serve
// - it also remove some table styles (colored header and shadows) 
document$.subscribe(function() {
  var tables = document.querySelectorAll("article table:not(.nosort)");
  tables.forEach(function(table) {
    new Tablesort(table);
  });
});

